%{?nodejs_find_provides_and_requires}

%global packagename has-cors
%global enable_tests 1

Name:		nodejs-has-cors
Version:	1.1.0
Release:	1%{?dist}
Summary:	Detects support for Cross-Origin Resource Sharing

License:	MIT
URL:		https://github.com/component/has-cors
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# License file requested upstream https://github.com/component/has-cors/issues/5
Source1:	LICENSE-MIT


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
%endif

%description
Detects support for Cross-Origin Resource Sharing


%prep
%autosetup -n package

cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc Readme.md History.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Mar 29 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
